package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.NatGatewayDnatRuleModel;
import com.bocloud.cmp.model.NatGatewayModel;
import com.bocloud.cmp.model.NatGatewaySnatRuleModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;


public interface NatGatewaySnatRuleProvider extends SuperProvider {

    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(NatGatewaySnatRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(String natGatewayId, String snanRuleId) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(String ruleId) {
        return new BocloudResult(false, "need implement");
    }

    
    default BocloudResult modify(NatGatewaySnatRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default public BocloudResult detail(String forwardTableId, String uuid){ return new BocloudResult(false, "need implement"); }

}
